Is the Slate2 compatible with my device?

The Slate 2 is compatible with the following devices and operating systems: 

iPad all Ipads (except iPad 1 and iPad 2) requires iOS9 or newer version
iPhone iPhone starting from 6 : 6, 6 Plus, 6S and 6S Plus, 7 and 7 Plus requires iOS9 or newer version
Mac Mac computers (iMac, Mac Pro, MacBook, Macbook Air, Macbook Pro, Mac Mini) requires OSX 10.10 Yosemite or newer version
PC Pc Windows requires Windows 7 or newer version

The Android compatibilty is in progress: we scheduled it around Autumn 2017.

A Linux compatibility is also in progress.

Powered by Zendesk